*! version 1.1.3  02may2005  by Marc Muendler  muendler@ucsd.edu

insheet using "$root/conc/secfix.csv", comma clear
sort buba_code
joinby buba_code using "$root/conc/sector-conc-bem", unmatched(both) _merge(_merge)
drop _merge
sort buba_code
joinby buba_code using "$root/conc/sector-conc-aggbem", unmatched(both) _merge(_merge)
drop _merge
drop if buba_code_3ltr==""
duplicates drop
drop buba_code
sort buba_code_3ltr
duplicates drop
duplicates tag buba_code_3ltr, g(_dupltag)
count if _dupltag > 0
if `r(N)' > 0 {
  disp as err "Non-permissible many-to-one mapping from buba_code_3ltr"
  STOP
  }
drop _dupltag
label var sec_aggbem "Sector codes (AGGBEM)"
sort buba_code_3ltr
compress
save ${secfix}
